# Google Container Engine API . projects . operations

## Instance Methods

Lists all operations in a project, across all zones.

### Method Details

`list(projectId)`

    Lists all operations in a project, across all zones.

    Args:
      projectId: string, The Google Developers Console project ID or  project number. (required)

    Returns:
      An object of the form:

        {
        "operations": [ # A list of operations in the project, across all zones.
          { # Defines the operation resource. All fields are output only.
            "status": "A String", # The current status of the operation.
            "name": "A String", # The server-assigned ID for the operation.
            "zone": "A String", # The name of the Google Compute Engine zone in which the operation is taking place.
            "errorMessage": "A String", # If an error has occurred, a textual description of the error.
            "targetLink": "A String", # Server-defined URL for the target of the operation.
            "operationType": "A String", # The operation type.
            "selfLink": "A String", # Server-defined URL for the resource.
            "target": "A String", # [Optional] The URL of the cluster resource that this operation is associated with.
          },
        ],
      }